textures/wingsmedieval/light1_3k
{
	qer_editorimage textures/wingsmedieval/light1.tga
	q3map_lightImage textures/wingsmedieval/light1.tga
	q3map_surfacelight 3000
	q3map_nonplanar
	q3map_shadeangle 100
	surfaceparm trans
	surfaceparm nomarks
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/wingsmedieval/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/wingsmedieval/wood_brownlight
{
	surfaceparm woodsteps
	qer_editorimage textures/wingsmedieval/wood_brownlight.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/wood_brownlight.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wingsmedieval/wood_browndark
{
	surfaceparm woodsteps
	qer_editorimage textures/wingsmedieval/wood_browndark.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/wood_browndark.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wingsmedieval/wood_grey
{
	surfaceparm woodsteps
	qer_editorimage textures/wingsmedieval/wood_grey.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/wood_grey.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wingsmedieval/wood_brownlight_njd
{
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	qer_editorimage textures/wingsmedieval/wood_brownlight_njd.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/wood_brownlight_njd.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wingsmedieval/wood_browndark_njd
{
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	qer_editorimage textures/wingsmedieval/wood_browndark_njd.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/wood_browndark_njd.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wingsmedieval/wood_grey_njd
{
	surfaceparm woodsteps
	surfaceparm monsterslicknorth
	qer_editorimage textures/wingsmedieval/wood_grey_njd.tga
	q3map_nonplanar
	q3map_shadeangle 60
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/wingsmedieval/wood_grey_njd.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/wingsmedieval/stickgrenade
{
   qer_editorimage textures/wingsmedieval/stickgrenade.tga
   surfaceparm nonsolid
   surfaceparm nomarks
   surfaceparm trans
   surfaceparm nolightmap
   polygonoffset
   {
      map textures/wingsmedieval/stickgrenade.tga
      blendfunc blend
   }
}

textures/wingsmedieval/decal_stain1
{
    qer_editorimage textures/wingsmedieval/decal_stain1.tga
    q3map_bounceScale 0
   surfaceparm nonsolid
    surfaceparm trans
   surfaceparm nomarks
    surfaceparm nolightmap
   polygonOffset
   {
      map textures/wingsmedieval/decal_stain1.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/wingsmedieval/decal_stain2a
{
	qer_editorimage textures/wingsmedieval/decal_stain2a.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wingsmedieval/decal_stain2a.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/wingsmedieval/decal_stain2b
{
	qer_editorimage textures/wingsmedieval/decal_stain2b.tga
	q3map_bounceScale 0
   surfaceparm nonsolid
	surfaceparm trans
   surfaceparm nomarks
	surfaceparm nolightmap
   polygonOffset
   {
      map textures/wingsmedieval/decal_stain2b.tga
      blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
      detail
   }
}

textures/wingsmedieval/vortex				//texture + baseshader by FIREFLY
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	
	{
		clampMap textures/wingsmedieval/vortex.tga
		blendFunc blend
		rgbGen vertex
		rgbGen wave sin 0.6 0.05 0 0.25
		tcMod stretch sin 0.95 0.05 0 0.01
		tcmod rotate 10
	}
}

// Skybox, adapted from hip_grimm
textures/wingsmedieval/sky_grimmnight
{
	qer_editorImage textures/wingsmedieval/env/grimmnight_rt.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sunExt 0.7 0.7 1.0 50 340 30 2 16
	q3map_skylight 50 8
	noPicMip
	noMipMaps
	noCompress

	skyparms textures/wingsmedieval/env/grimmnight - -
	{
		map $whiteimage
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen const 0.0
	}
}




